Page MenuHomePhabricator

rust-nodemap: special case for prefixes of NULL_NODE
ClosedPublic

Authored by gracinet on Jan 6 2020, 2:26 PM.

Details

Summary

We have to behave as though NULL_NODE was stored in the node tree,
although we don't store it.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gracinet created this revision.Jan 6 2020, 2:26 PM
gracinet updated this revision to Diff 19330.Jan 15 2020, 6:48 PM
kevincox accepted this revision.Jan 16 2020, 7:16 AM
gracinet updated this revision to Diff 19638.Jan 27 2020, 10:50 AM
marmoute accepted this revision.Feb 7 2020, 2:51 PM
marmoute added a subscriber: marmoute.

looks good to me too.

marmoute updated this revision to Diff 20027.Feb 8 2020, 12:45 PM
Alphare updated this revision to Diff 20217.Feb 14 2020, 6:02 AM
Alphare updated this revision to Diff 20236.Feb 15 2020, 6:49 AM
Alphare updated this revision to Diff 20282.Feb 24 2020, 8:15 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.